<!-- Foundation Annotations generate tmp/route.js -->
---
name: PostSample
url:  /sample-post
controller:   SamplePostController as ctrl
animationIn: slideInRight
---

<h1><img class="logo" src="images/logo/triskel_iot_bzhx250.png" alt="IoT.bzh Logo" style="height:150px;">
    Post File Upload
</h1>

<div class="sample-box box-content">
    
    <!-- Usage: upload-xxxxx
         name     = [xxxxxx] is use a field label for xform input field. Should match with server side
         category = [avatar] should match to a valid directory of thumbnail within AppConfig.path
         thumbnail= [tux-bzh.png] a valid image within AppConfig.paths.[category]
         istoobig = [istoobig.png] used image from AppConfig.paths.[category] when file is oversized
         maxsize  = [xxx] maximum size in KB [default max depend on upload-type]
         accept = [image] acceptable accept for upload
    -->
    <upload-image category="avatar" thumbnail="tux-visitor.png" maxsize="100" 
        posturl="/api/post/upload-image" callback="ctrl.FileUploaded" accept="image" title="Change your Avatar">
    </upload-image>

</div>

<link-button href="home" icon="fi-home" label="home"></link-button>
